View Issue Details

IDProjectCategoryView StatusLast Update
0002402FreeCADBugpublic2016-01-26 11:11
ReporterwmayerAssigned Toeivindkvedalen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002402: Ambiguous alias names
DescriptionFor details look here:
http://forum.freecadweb.org/viewtopic.php?f=22&t=13812
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master d45a95bf

2016-01-15 23:36:27

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Issue 0002402: Added functionality to get cell address given an alias. Affected Issues
0002402
mod - src/Mod/Spreadsheet/App/PropertySheet.cpp Diff File
mod - src/Mod/Spreadsheet/App/PropertySheet.h Diff File
mod - src/Mod/Spreadsheet/App/Sheet.cpp Diff File
mod - src/Mod/Spreadsheet/App/Sheet.h Diff File
mod - src/Mod/Spreadsheet/App/SheetPy.xml Diff File
mod - src/Mod/Spreadsheet/App/SheetPyImp.cpp Diff File

FreeCAD: master 301fcc2a

2016-01-15 23:37:41

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Issue 0002402: Don't allow duplicate aliases. Affected Issues
0002402
mod - src/Mod/Spreadsheet/App/Sheet.cpp Diff File
mod - src/Mod/Spreadsheet/App/SheetPyImp.cpp Diff File

FreeCAD: master 61046628

2016-01-15 23:38:19

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Issue 0002402: Allow set to also accept alias name (in addition to cell address). Affected Issues
0002402
mod - src/Mod/Spreadsheet/App/SheetPyImp.cpp Diff File

FreeCAD: master e8eef1df

2016-01-16 00:25:21

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Issue 0002402: Added getAlias function. Affected Issues
0002402
mod - src/Mod/Spreadsheet/App/SheetPy.xml Diff File
mod - src/Mod/Spreadsheet/App/SheetPyImp.cpp Diff File

FreeCAD: master bcff5d21

2016-01-16 10:42:28

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet GUI: Issue 0002402: Check for existing aliases in Properties dialog box. Affected Issues
0002402
mod - src/Mod/Spreadsheet/Gui/PropertiesDialog.cpp Diff File

Issue History

Date Modified Username Field Change
2016-01-11 09:55 wmayer New Issue
2016-01-11 09:55 wmayer Status new => assigned
2016-01-11 09:55 wmayer Assigned To => eivindkvedalen
2016-01-26 11:06 wmayer Changeset attached => FreeCAD Master master d45a95bf
2016-01-26 11:06 wmayer Changeset attached => FreeCAD Master master 301fcc2a
2016-01-26 11:06 wmayer Changeset attached => FreeCAD Master master 61046628
2016-01-26 11:06 wmayer Changeset attached => FreeCAD Master master e8eef1df
2016-01-26 11:06 wmayer Changeset attached => FreeCAD Master master bcff5d21
2016-01-26 11:11 wmayer Status assigned => closed
2016-01-26 11:11 wmayer Resolution open => fixed
2016-01-26 11:11 wmayer Fixed in Version => 0.16